: Class GzipFilter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.HTTP.Filter
Class GzipFilter

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--java.io.FilterOutputStream
                  |
                  +--com.mortbay.HTTP.HttpFilter
                        |
                        +--com.mortbay.HTTP.Filter.GzipFilter

public class GzipFilter
extends HttpFilter

GZIP content encoding. Experimental filter to apply gzip encoding to content.

Version:
  1.0 Thu Sep 9 1999
Author:
  Greg Wilkins (gregw)

Fields inherited from class com.mortbay.HTTP.HttpFilter
`request, response`

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`GzipFilter(HttpRequest request)`

Method Summary
`protected void` | `activate()` Notify derived class of activation
`protected boolean` | `canHandle(java.lang.String contentType)` Can handle text/html
`void` | `close()`
`void` | `write(byte[] b)`
`void` | `write(byte[] buf, int off, int len)`
`void` | `write(int b)`

Methods inherited from class com.mortbay.HTTP.HttpFilter
`activateOn, test, update`

Methods inherited from class java.io.FilterOutputStream
`flush`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GzipFilter

    public GzipFilter(HttpRequest request)

Method Detail

### canHandle

    protected boolean canHandle(java.lang.String contentType)

  Can handle text/html
  Overrides:
    canHandle in class HttpFilter

### activate

    protected void activate()

  Description copied from class: HttpFilter
  Notify derived class of activation
  Overrides:
    activate in class HttpFilter

### write

    public void write(byte[] buf,
                      int off,
                      int len)
               throws java.io.IOException

  Overrides:
    write in class java.io.FilterOutputStream

### write

    public void write(byte[] b)
               throws java.io.IOException

  Overrides:
    write in class java.io.FilterOutputStream

### write

    public void write(int b)
               throws java.io.IOException

  Overrides:
    write in class java.io.FilterOutputStream

### close

    public void close()
               throws java.io.IOException

  Overrides:
    close in class java.io.FilterOutputStream

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD